## BraseroBurn

BraseroBurn

## Functions

BraseroBurn * | brasero_burn_new ()
BraseroBurnResult | brasero_burn_record ()
BraseroBurnResult | brasero_burn_check ()
BraseroBurnResult | brasero_burn_blank ()
BraseroBurnResult | brasero_burn_cancel ()
BraseroBurnResult | brasero_burn_status ()
void | brasero_burn_get_action_string ()

## Types and Values

| BraseroBurn

## Description

## Functions

### brasero_burn_new ()

    BraseroBurn *
    brasero_burn_new (void);

Creates a new BraseroBurn object.

#### Returns

a BraseroBurn object.

### brasero_burn_record ()

    BraseroBurnResult
    brasero_burn_record (BraseroBurn *burn,
                         BraseroBurnSession *session,
                         GError **error);

Burns or creates a disc image according to the parameters set in `session` .

#### Parameters

burn | a BraseroBurn |
session | a BraseroBurnSession |
error | a GError |

#### Returns

a BraseroBurnResult. The result of the operation. BRASERO_BURN_OK if it was successful.

### brasero_burn_check ()

    BraseroBurnResult
    brasero_burn_check (BraseroBurn *burn,
                        BraseroBurnSession *session,
                        GError **error);

Checks the integrity of a medium according to the parameters set in `session` . The medium must be inserted in the BraseroDrive set as the source of a BraseroTrackDisc track inserted in `session` .

#### Parameters

burn | a BraseroBurn |
session | a BraseroBurnSession |
error | a GError |

#### Returns

a BraseroBurnResult. The result of the operation. BRASERO_BURN_OK if it was successful.

### brasero_burn_blank ()

    BraseroBurnResult
    brasero_burn_blank (BraseroBurn *burn,
                        BraseroBurnSession *session,
                        GError **error);

Blanks a medium according to the parameters set in `session` . The medium must be inserted in the BraseroDrive set with `brasero_burn_session_set_burner()`.

#### Parameters

burn | a BraseroBurn |
session | a BraseroBurnSession |
error | a GError |

#### Returns

a BraseroBurnResult. The result of the operation. BRASERO_BURN_OK if it was successful.

### brasero_burn_cancel ()

    BraseroBurnResult
    brasero_burn_cancel (BraseroBurn *burn,
                         gboolean protect);

Cancels any ongoing operation. If `protect` is TRUE then cancellation will not take place for a "critical" task, a task whose interruption could damage the medium or the drive.

#### Parameters

burn | a BraseroBurn |
protect | a gboolean |

#### Returns

a BraseroBurnResult. The result of the operation. BRASERO_BURN_OK if it was successful.

### brasero_burn_status ()

    BraseroBurnResult
    brasero_burn_status (BraseroBurn *burn,
                         BraseroMedia *media,
                         goffset *isosize,
                         goffset *written,
                         guint64 *rate);

Returns various information about the current operation in `media` (the current media type being burnt), `isosize` (the size of the data being burnt), `written` (the number of bytes having been written so far) and `rate` (the speed at which data are written).

#### Parameters

burn | a BraseroBurn |
media | a BraseroMedia or NULL |
isosize | a goffset or NULL |
written | a goffset or NULL |
rate | a guint64 or NULL |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if there is an ongoing operation; BRASERO_BURN_NOT_READY otherwise.

### brasero_burn_get_action_string ()

    void
    brasero_burn_get_action_string (BraseroBurn *burn,
                                    BraseroBurnAction action,
                                    gchar **string);

This function returns the current action (in `string` ) of an ongoing operation performed by `burn` . `action` is used to set a default string in case there was no string set by the backend to describe the current operation.

#### Parameters

burn | a BraseroBurn |
action | a BraseroBurnAction |
string | a gchar ** |

## Types and Values

### BraseroBurn

    typedef struct {
    	GObject parent;
    } BraseroBurn;